Package org.eclipse.net4j.db

## Interface DBUtil.DeserializeRowHandler

- All Superinterfaces:
    `DBUtil.RowHandler`
  Enclosing class:
    DBUtil

      public static interface DBUtil.DeserializeRowHandler
      extends DBUtil.RowHandler

  A `row handler` with a `method` that is called once per row deserialized within `DBUtil.deserializeTable()`.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleRow​(org.eclipse.net4j.util.io.ExtendedDataInput in, java.sql.Connection connection, IDBField[] fields, java.lang.Object[] values)` |

    - ### Methods inherited from interface org.eclipse.net4j.db.DBUtil.RowHandler

      `done`

- - ### Method Detail

    - #### handleRow

          void handleRow​(org.eclipse.net4j.util.io.ExtendedDataInput in,
                         java.sql.Connection connection,
                         IDBField[] fields,
                         java.lang.Object[] values)
                  throws java.sql.SQLException,
                         java.io.IOException

      Throws:
        `java.sql.SQLException`
        `java.io.IOException`